/**
 * @file   gui-search.h
 * @brief
 *
 * Copyright (C) 2010 Gummi-Dev Team <alexvandermey@gmail.com>
 * All Rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person
 * obtaining a copy of this software and associated documentation
 * files (the "Software"), to deal in the Software without
 * restriction, including without limitation the rights to use,
 * copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following
 * conditions:
 *
 * The above copyright notice and this permission notice shall be
 * included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
 * EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 * OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 * NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 * HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 * OTHER DEALINGS IN THE SOFTWARE.
 */

#ifndef GUMMI_GUI_SEARCH_H
#define GUMMI_GUI_SEARCH_H

#include <glib.h>
#include <gtk/gtk.h>

typedef struct _GuSearchGui {
    GtkWidget* searchwindow;
    GtkEntry* searchentry;
    GtkEntry* replaceentry;
    gboolean backwards;
    gboolean matchcase;
    gboolean wholeword;
} GuSearchGui;

GuSearchGui* searchgui_init(GtkBuilder* builder);
void on_toggle_matchcase_toggled(GtkWidget* widget, void* user);
void on_toggle_wholeword_toggled(GtkWidget* widget, void* user);
void on_toggle_backwards_toggled(GtkWidget* widget, void* user);
void on_searchgui_text_changed(GtkEditable* editable, void* user);
void on_tabwidth_value_changed(GtkWidget* widget, void* user);
void on_autosave_value_changed(GtkWidget* widget, void* user);
void on_compile_value_changed(GtkWidget* widget, void* user);
void on_editor_font_set(GtkWidget* widget, void* user);
void on_combo_typesetter_changed(GtkWidget* widget, void* user);
void on_combo_language_changed(GtkWidget* widget, void* user);
void on_combo_compilescheme_changed(GtkWidget* widget, void* user);

#endif /* GUMMI_GUI_SEARCH_H */
